rem Clean Logs replaces sensitive customer data for in log files with text found in the Cleanlogs.cfg file.
rem log files need to be in the local directory.
rem Created by www.matthewb.id.au 
rem Add any text you want to search for in the .cfg file and what to replace it with.
rem e.g. TFN, tfn removed
rem e.g. SURNAME, surname removed
rem e.g. FIRSTNAME, firstname removed
rem The text it is searching for is case sensitive.
rem The output is a file named Cleaned_filename.log.txt
rem Only .log file names will be examined.
Dim fso, WshShell, ReadFile, thefilename, thenewfilename, Theresultfile, ReadLogFile, TestLine
Dim SearchWords(100) 
Dim ReplaceWords(100) 
Dim MyArray 
Dim Counter1, Counter2
Set fso = CreateObject("Scripting.FileSystemObject")    
Set WshShell = WScript.CreateObject("WScript.Shell")  
  
FilesFrom = "."

Call ReadConfig


Set f = fso.GetFolder(FilesFrom)  
Set fc = f.Files  
   For Each f1 In fc  
        thefilename = lcase(f1.name)
        If right(thefilename,3) = "log" Then
        Call ConvertFile
        End If 
Next  

msgbox "Finished. Result Files are in format Cleaned_filename.log.txt"

Sub ReadConfig
rem Read the config file for text to search for and what to replace it with
Counter1 = 1
Set ReadFile = fso.opentextfile("CleanLogs.cfg",1) 'For reading
Do Until ReadFile.AtEndOfStream = True 
CleanLine = ReadFile.ReadLine
MyArray = Split(CleanLine,",",-1,1)
TestArray = Ubound(Myarray)
If TestArray = 1 Then 
SearchWords(Counter1) = Myarray(0)
Replacewords(Counter1) = MyArray(1)
Counter1 = Counter1 + 1
End If 
Loop
Readfile.close
End Sub       



Sub ConvertFile
rem Read the log file and write a clean log file
Set ReadLogFile = fso.opentextfile(thefilename,1) 'For reading
thenewfilename = "Cleaned_" + thefilename + ".txt"
Set Resultfile = fso.opentextfile(thenewfilename,2,True) 'For writing ResultsLog 
Do Until ReadLogFile.AtEndOfStream = True  
RawLine = ReadLogFile.ReadLine
ResultLine = RawLine
For Counter2 = 1 To Counter1 -1 
TestLine = instr(1,ResultLine,SearchWords(counter2),1)
If testline > 0 Then
ResultLine = Replacewords(Counter2)
End If
Next 
ResultFile.WriteLine ResultLine 
Loop 
ReadLogFile.close
ResultFile.close
End Sub